import { Commitment, Connection, Keypair, PublicKey, Transaction, VersionedTransaction } from '@solana/web3.js';
export declare const createWallet: () => {
    publicKey: string;
    privateKey: string;
};
export declare const getPublicKey: (privateKey: string) => string | null;
export declare const isValidAddress: (publicKey: string) => boolean;
export declare const getBalance: (connection: Connection, publicKey: string, lamports?: boolean) => Promise<number>;
export declare function sendSol(connection: Connection, sender: Keypair, receiver: PublicKey, amount: number): Promise<boolean>;
export declare function getKeyPairFromPrivateKey(privateKey: string): Keypair;
export declare const isInValidKeyPair: (key: Keypair) => boolean;
export declare const printSOLBalance: (connection: Connection, pubKey: PublicKey, info?: string) => Promise<void>;
export declare const baseToValue: (base: number, decimals: number) => number;
export declare const valueToBase: (value: number, decimals: number) => number;
export declare const buildVersionedTx: (connection: Connection, payer: PublicKey, tx: Transaction, commitment: Commitment) => Promise<VersionedTransaction>;
