"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPoolInfo = void 0;
const axios_1 = require("axios");
const getPoolInfo = (address) => __awaiter(void 0, void 0, void 0, function* () {
    const url = `https://api.dexscreener.com/latest/dex/tokens/${address}`;
    const res = yield axios_1.default.get(url);
    if (!res.data.pairs) {
        return null;
    }
    for (let pairInfo of res.data.pairs) {
        if (pairInfo.chainId === "solana") {
            const data = {};
            data.dex = pairInfo.dexId;
            data.dexURL = pairInfo.url;
            data.symbol = pairInfo.baseToken.symbol;
            data.name = pairInfo.baseToken.name;
            data.addr = pairInfo.baseToken.address;
            data.priceUsd = pairInfo.priceUsd;
            data.priceNative = pairInfo.priceNative;
            data.volume = pairInfo.volume.m5;
            data.priceChange = pairInfo.priceChange.m5;
            if (pairInfo.liquidity != undefined) {
                data.liquidity = pairInfo.liquidity.usd;
                data.pooledSOL = pairInfo.liquidity.quote;
            }
            data.mc = pairInfo.fdv;
            console.log('poolinfo = ', data);
            return data;
        }
    }
    return null;
});
exports.getPoolInfo = getPoolInfo;
