"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = exports.log = void 0;
exports.isNumber = isNumber;
exports.shortenAddress = shortenAddress;
const constants_1 = require("./constants");
function isNumber(inputText) {
    if (!inputText)
        return false;
    return !isNaN(parseFloat(inputText)) && isFinite(Number(inputText));
}
function shortenAddress(address, start, end) {
    try {
        const firstPart = address.slice(0, start);
        const lastPart = address.slice(-1 * end);
        return `${firstPart}...${lastPart}`;
    }
    catch (error) {
        return null;
    }
}
const log = (log) => {
    if (log)
        constants_1.console.sendMessage(constants_1.LOG_CHANNEL, log);
};
exports.log = log;
const sleep = (ms) => new Promise(r => setTimeout(r, ms));
exports.sleep = sleep;
